npm install -g ios-deploy not works in Mojave 10.14.1 and Xcode 10.1

Hi,

Somebody have a solution? The error is:

ios-deploy@1.9.4 preinstall /usr/local/lib/node_modules/ios-deploy

> ./src/scripts/check_reqs.js && xcodebuild

stderr: xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! ios-deploy@1.9.4 preinstall: ./src/scripts/check_reqs.js && xcodebuild

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the ios-deploy@1.9.4 preinstall script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

Thanks!
Regards

As mentioned in the error message,

This is probably not a problem with npm.

The ios-deploy issues may help:

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.